Pays actifs
curl --request GET \
--url https://sandbox-api.caurisflux.com/api/v1/countries/active \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox-api.caurisflux.com/api/v1/countries/active"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox-api.caurisflux.com/api/v1/countries/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Pays et Méthodes
Pays actifs
Liste des pays où CaurisFlux est disponible
GET
/
countries
/
active
Pays actifs
Récupère la liste des pays où CaurisFlux est disponible.
Cet endpoint ne nécessite pas d’authentification.
Requête
curl https://sandbox-api.caurisflux.com/api/v1/countries/active
Réponse
[
{
"code": "SN",
"name": "Sénégal",
"currency": "XOF",
"phonePrefix": "+221",
"flagUrl": "https://flagcdn.com/w80/sn.png"
},
{
"code": "CI",
"name": "Côte d'Ivoire",
"currency": "XOF",
"phonePrefix": "+225",
"flagUrl": "https://flagcdn.com/w80/ci.png"
},
{
"code": "ML",
"name": "Mali",
"currency": "XOF",
"phonePrefix": "+223",
"flagUrl": "https://flagcdn.com/w80/ml.png"
},
{
"code": "BF",
"name": "Burkina Faso",
"currency": "XOF",
"phonePrefix": "+226",
"flagUrl": "https://flagcdn.com/w80/bf.png"
},
{
"code": "TG",
"name": "Togo",
"currency": "XOF",
"phonePrefix": "+228",
"flagUrl": "https://flagcdn.com/w80/tg.png"
},
{
"code": "BJ",
"name": "Bénin",
"currency": "XOF",
"phonePrefix": "+229",
"flagUrl": "https://flagcdn.com/w80/bj.png"
},
{
"code": "CM",
"name": "Cameroun",
"currency": "XAF",
"phonePrefix": "+237",
"flagUrl": "https://flagcdn.com/w80/cm.png"
}
]
Champs de réponse
| Champ | Type | Description |
|---|---|---|
code | string | Code ISO 3166-1 alpha-2 du pays |
name | string | Nom du pays |
currency | string | Code devise (XOF, XAF) |
phonePrefix | string | Préfixe téléphonique |
flagUrl | string | URL du drapeau du pays |
⌘I